Subject: Re: bug#51196: 29.0.50; python.el eldoc problems

From: Carlos Pita <[email-masked]>
Date: Fri, 15 Oct 2021 17:33:57 -0300

Hi Augusto,

> > - Have a sane, solid and simple python.el with good syntax highlighting,
> >   movements commands, folding, etc. and leave the cleverness to elpy,
> >   lsp-mode, eglot, emacs-jupyter or whatever.
>
> But the problematic Eldoc functionality is disabled by default, right?
> So leaving it there doesn't hurt anyone --- except for the unwitting
> user who doesn't know that this feature is kind of broken.

No, it's not, all the magic is enabled by default, only piecemeal
measures have been taken over the years in order to prevent blocking
behavior, so for example now eldoc disables itself forever after 1s
timeout. But that's not true of non-native completion AFAICS and
it certainly isn't of C-c C-f (help on symbol). And improving on this
by adding even more special cases doesn't sound like a good idea.

Best regards,
Carlos